Siti web
GET https://pushye.com/api/websites/
curl --request GET \
--url 'https://pushye.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Facoltativo String | La stringa di ricerca. |
| search_by | Facoltativo String | Quale campo stai cercando. I valori consentiti sono: name, host, path. |
| is_enabled | Facoltativo Boolean | |
| datetime_field | Facoltativo String | Valori consentiti: datetime, last_datetime, email_reports_last_datetime |
| datetime_start | Facoltativo String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facoltativo String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facoltativo String | In quale campo ordinare i risultati. I valori consentiti sono: website_id, datetime, last_datetime, name, host, path, email_reports_last_datetime, email_reports_count, total_sent_campaigns, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications, total_subscribers. |
| order_type | Facoltativo String | L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente e DESC per ordinamento decrescente. |
| page | Facoltativo Intero | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Facoltativo Intero | Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito è 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"domain_id": 1,
"pixel_key": "Example",
"name": "Example",
"scheme": "Example",
"host": "Example",
"path": "Example",
"settings": [],
"widget": {},
"button": {},
"notifications": [],
"email_reports": [],
"email_reports_last_datetime": "2026-09-12 13:23:36",
"email_reports_count": 1,
"keys": [],
"total_sent_campaigns": 1,
"total_subscribers": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-12 13:23:36"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://pushye.com/api/websites?page=1",
"last": "https://pushye.com/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/websites?page=1"
}
}
GET https://pushye.com/api/websites/{website_id}
curl --request GET \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"domain_id": 1,
"pixel_key": "Example",
"name": "Example",
"scheme": "Example",
"host": "Example",
"path": "Example",
"settings": [],
"widget": {},
"button": {},
"notifications": [],
"email_reports": [],
"email_reports_last_datetime": "2026-09-12 13:23:36",
"email_reports_count": 1,
"keys": [],
"total_sent_campaigns": 1,
"total_subscribers": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-12 13:23:36"
}
}
DELETE https://pushye.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \